Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05121 Crash/Freeze Critical (emulator) Always Jan 22, 2013, 20:02 Feb 9, 2014, 19:16
Tester haynor666 View Status Public Platform MAME (Official Binary)
Assigned To Resolution Fixed OS
Status [?] Resolved Driver namcos12.cpp
Version 0.148 Fixed in Version 0.148u4 Build 64-bit
Summary 05121: golgo13 g13knd: MAME crash after game exit
Description Both sets cause mame to crash after exit

Exception at EIP=0000000001F0B427 (not found): ACCESS VIOLATION
While attempting to read memory at 0000002000387888
-----------------------------------------------------
RAX=0000002000387840 RBX=0000000000000002 RCX=0000000000228DE0 RDX=0000002000387
840
RSI=000000000022FD30 RDI=000000000BEC5C30 RBP=0000000000228850 RSP=0000000000228
7D0
 R8=0000000000000000 R9=000000000000005C R10=0000000000000001 R11=0000000000000
01B
R12=000000000BEEFF90 R13=00000000000003E7 R14=0000000000000000 R15=0000000000000
000
-----------------------------------------------------
Stack crawl:
  0000000000228970: 0000000001F0B427 (not found)
  0000000000228BE0: 0000000001CC286C (not found)
  000000000022F3C0: 0000000001BF808D (not found)
  000000000022F8A0: 0000000001EC79C4 (not found)
  000000000022FE00: 00000000015B0518 (not found)
  000000000022FE60: 00000000021899AC (not found)
  000000000022FF20: 00000000004013F0 (not found)
  000000000022FF50: 00000000004014F8 (not found)
  000000000022FF80: 000000007765652D (BaseThreadInitThunk+0x000d)
  000000000022FFD0: 0000000077BFC521 (RtlUserThreadStart+0x0021)
Steps To Reproduce
Additional Information I use insert to speedup initialize procedure

Might be related to 4630
Flags
Regression Version
Affected Sets / Systems golgo13 g13knd
Attached Files
png file icon 0000.png (48,900 bytes) May 27, 2013, 15:01 Uploaded by BarnacleEd
BarnacleEd
Relationships
There are no relationship linked to this issue.
Notes
9
User avatar
No.09267
NekoEd
Senior Tester
Jan 23, 2013, 00:00
The games don't even boot properly here, they go past the half screen of color bars, sit on a black screen for about 3 seconds then crash with a segmentation fault.
User avatar
No.09318
Firewave
Senior Tester
Feb 9, 2013, 14:03
I cannot reproduce this on Windows or Linux.
User avatar
No.09523
Firewave
Senior Tester
May 22, 2013, 13:41
No error with ASAN either.
User avatar
No.09545
hap
Developer
May 25, 2013, 08:42
edited on: May 25, 2013, 08:44
cannot reproduce it either.

*edit* woops, shouldn't have closed the bugreport
User avatar
No.09548
Robbbert
Developer
May 26, 2013, 23:34
Tested mame 0.148u3 and mamed 0.148u5 - both work, no crashing. 32-bit builds on 64-bit windows7.
User avatar
No.09549
NekoEd
Senior Tester
May 27, 2013, 15:01
edited on: May 27, 2013, 15:02
The problem seems to stem from launching the games via the minimenu. I launched and set the games up outside the UI, but attempting to launch them from the UI now results in corrupt graphics. (Though when I first attempted to launch g13knd before "First Power On" from the minimenu, it crashed with a segfault.)

EDIT: I've uploaded a snapshot of the graphics corruption when launching from the minimenu. Both sets behave identically.
User avatar
No.10267
Osso
Developer
Feb 9, 2014, 18:22
Can't repro anymore. Anyone else?
User avatar
No.10268
M.A.S.H.
Senior Tester
Feb 9, 2014, 19:11
edited on: Feb 9, 2014, 19:13
Fixed since 0.148u4
User avatar
No.10269
NekoEd
Senior Tester
Feb 9, 2014, 19:16
The graphics corruption still exists. Opening a separate bug for this.